aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--meta/recipes-devtools/pseudo/pseudo.inc13
1 files changed, 10 insertions, 3 deletions
diff --git a/meta/recipes-devtools/pseudo/pseudo.inc b/meta/recipes-devtools/pseudo/pseudo.inc
index a287629e52..0471cd6f21 100644
--- a/meta/recipes-devtools/pseudo/pseudo.inc
+++ b/meta/recipes-devtools/pseudo/pseudo.inc
@@ -56,9 +56,7 @@ maybe_make32() {
fi
if $make32; then
if ! [ -e "/usr/include/gnu/stubs-32.h" ]; then
- bbwarn "Can't find stubs-32.h, but usually need it to build 32-bit libpseudo."
- bbwarn "If the build fails, install 32-bit developer packages."
- bbwarn "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional."
+ warn_32bit_missing
else
bbnote "Attempting to build 32-bit libpseudo.so for ${PN}."
fi
@@ -68,6 +66,12 @@ maybe_make32() {
fi
}
+warn_32bit_missing() {
+ bbwarn "Can't find stubs-32.h, but usually need it to build 32-bit libpseudo."
+ bbwarn "If the build fails, install 32-bit developer packages."
+ bbwarn "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional."
+}
+
# Two below are the same
# If necessary compile for the alternative machine arch. This is only
# necessary in a native build.
@@ -83,7 +87,10 @@ do_compile_prepend_class-native () {
make ${MAKEOPTS} distclean || :
./configure ${PSEUDO_EXTRA_OPTS} --prefix=${prefix} --libdir=${prefix}/lib/pseudo/lib --with-sqlite-lib=${baselib} --with-sqlite=${STAGING_DIR_TARGET}${exec_prefix} --bits=32 --without-rpath
+ save_traps=$(trap)
+ trap 'warn_32bit_missing' 0
oe_runmake ${MAKEOPTS} libpseudo
+ eval "$save_traps"
# prevent it from removing the lib, but remove everything else
make 'LIB=foo' ${MAKEOPTS} distclean
fi